Bug 854295 - [Backend][Storage] Storage domain with corrupted metadata is moved from unknown to active mode and it takes long time untill it's inactivated
[Backend][Storage] Storage domain with corrupted metadata is moved from unkno...
Status: CLOSED DUPLICATE of bug 853710
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Ayal Baron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 11:05 EDT by Jakub Libosvar
Modified: 2016-02-10 15:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 11:02:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backend vdsm logs (161.89 KB, application/x-gzip)
2012-09-04 11:05 EDT, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2012-09-04 11:05:24 EDT
Description of problem:
Having two iscsi storage domains and one host I corrupted metadata on master domain. New master was reconstructed correctly but former master was kept in active status instead of inactive.

Version-Release number of selected component (if applicable):
rhevm-backend-3.1.0-14.el6ev.noarch

How reproducible:
Will say later

Steps to Reproduce:
1. Corrupt metadata on master SD
2. Wait till this SD goes down
3.
  
Actual results:
Keeps in active state

Expected results:
Moved to inactive

Additional info:
Backend and vdsm logs from relevant part attached
vdsm log is quite log but the error is repeated, important part is at the beginning
Comment 1 Jakub Libosvar 2012-09-04 11:05:47 EDT
Created attachment 609716 [details]
backend vdsm logs
Comment 3 Jakub Libosvar 2012-09-05 04:05:31 EDT
Removing testblocker and decreasing severity - the domain is set to inactive after ~20 minutes (timeout in test was 15 minutes).

The cycle look like this:
Domain is active
Corrupt metadata and trigger failure
Domain is moved to unknown
After 1 minute is moved back to active
After 20 minutes is moved to inactive
Comment 4 Gadi Ickowicz 2012-09-05 11:02:33 EDT

*** This bug has been marked as a duplicate of bug 853710 ***

Note You need to log in before you can comment on or make changes to this bug.